Bug 722264 - gplcver segmentation fault at startup
Summary: gplcver segmentation fault at startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gplcver
Version: 15
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Shakthi Kannan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-14 19:27 UTC by sebastien
Modified: 2011-12-25 20:32 UTC (History)
2 users (show)

Fixed In Version: gplcver-2.12a-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-18 19:46:31 UTC


Attachments (Terms of Use)

Description sebastien 2011-07-14 19:27:32 UTC
Description of problem:
gplcver segfaults instead of starting

Version-Release number of selected component (if applicable):
gplcver-2.12a-2.fc15.i686

How reproducible:
Always

Steps to Reproduce:
1. Just enter the "cver" command
  
Actual results:
Segmentation fault
Message in system log:
cver[4748]: segfault at 1 ip 00000001 sp bffe2bb4 error 4

Expected results:
Running

Additional info:
Problem is not present with gplcver-2.12a-1.fc14.i686.rpm installed on Fedora 15

Comment 1 Chitlesh GOORAH 2011-12-05 12:01:56 UTC
Indeed, I confirm this bug exists on F-15.
Shakthi, can you please look into this ?

Comment 2 Shakthi Kannan 2011-12-05 13:40:13 UTC
The difference between the 2.12a-1 and 2.12a-2 is only a mass rebuild on Koji. I did a fresh build on Koji now, installed the binary RPM, and it worked. 

  http://koji.fedoraproject.org/koji/taskinfo?taskID=3563571

Siddhesh mentioned that the package might have missed a rebuild during a glibc update.

I will push a new rebuilt package.

Comment 3 Chitlesh GOORAH 2011-12-05 15:17:07 UTC
Yes, a simple rebuild fixes this crash on f16:

$ yumdownloader --source gplcver
$ rpmbuild --rebuild gplcver-2.12a-2.fc15.src.rpm
# rpm -Uvh /home/chitlesh/rpmbuild/RPMS/i686/gplcver-2.12a-2.fc16.i686.rpm
$ cver
GPLCVER_2.12a of 05/16/07 (Linux-elf).
Copyright (c) 1991-2007 Pragmatic C Software Corp.
  All Rights reserved.  Licensed under the GNU General Public License (GPL).
  See the 'COPYING' file for details.  NO WARRANTY provided.
Today is Mon Dec  5 16:11:39 2011.
**FATAL ERROR** [301] no Verilog input files specified

This output is expected, as I didn't parse in a verilog file.

Comment 4 Fedora Update System 2011-12-06 12:33:37 UTC
gplcver-2.12a-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gplcver-2.12a-3.fc16

Comment 5 Fedora Update System 2011-12-06 12:33:46 UTC
gplcver-2.12a-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gplcver-2.12a-3.el6

Comment 6 Fedora Update System 2011-12-06 12:33:54 UTC
gplcver-2.12a-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gplcver-2.12a-3.fc15

Comment 7 Fedora Update System 2011-12-10 19:32:17 UTC
Package gplcver-2.12a-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gplcver-2.12a-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16838/gplcver-2.12a-3.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-12-18 19:46:31 UTC
gplcver-2.12a-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-12-18 19:47:28 UTC
gplcver-2.12a-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-12-25 20:32:31 UTC
gplcver-2.12a-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.